ADDDEBUG(1)

NOM
adddebug - Modifica els Makefile per afegir informació de depuració

SINOPSI

adddebug [-k] [-r] [-n]

DESCRIPCIÓ

adddebug modifica el fitxer Makefile en el directori actual (i opcionalment en els seus subdirectoris) per afegir informació de depuració (-g3). També elimina les optimitzacions (-O[1-9]).

Aquesta utilitat forma part del joc per a desenvolupar programari del KDE.

OPCIONS

-k
    Manté les optimitzacions (no elimina les opcions -O[1-9]?, per omissió les elimina).

-r
    Cerca recursivament a través de tots els subdirectoris del directori actual i opera a sobre de cada fitxer Makefile que troba.

-n
    Compila sense definir NDEBUG i NO_DEBUG (fa que funcionin les crides a kDebug).

AUTOR

Burton, Ben <bab@debian.org>
    Autor.